com.io7m.jstructural.annotated

## Interface SAFormalItemContentVisitor<A>

- Type Parameters:
    `A` - The type of values returned by the visitor

      public interface SAFormalItemContentVisitor<A>

  Formal item content visitor.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `A` | `visitFormalItemList(SAFormalItemList list)` Visit a formal item list element.
    `A` | `visitImage(SAImage image)` Visit an image element.
    `A` | `visitListOrdered(SAListOrdered list)` Visit an ordered list element.
    `A` | `visitListUnordered(SAListUnordered list)` Visit an unordered list element.
    `A` | `visitTable(SATable e)` Visit a table element.
    `A` | `visitVerbatim(SAVerbatim text)` Visit a verbatim element.

- - ### Method Detail

    - #### visitFormalItemList

          A visitFormalItemList(SAFormalItemList list)
                                throws Exception

      Visit a formal item list element.
      Parameters:
        `list` - The formal item list element
      Returns:
        A value of type `A`
      Throws:
        `Exception` - If required

    - #### visitImage

          A visitImage(SAImage image)
                       throws Exception

      Visit an image element.
      Parameters:
        `image` - The image element
      Returns:
        A value of type `A`
      Throws:
        `Exception` - If required

    - #### visitListOrdered

          A visitListOrdered(SAListOrdered list)
                             throws Exception

      Visit an ordered list element.
      Parameters:
        `list` - The list element
      Returns:
        A value of type `A`
      Throws:
        `Exception` - If required

    - #### visitListUnordered

          A visitListUnordered(SAListUnordered list)
                               throws Exception

      Visit an unordered list element.
      Parameters:
        `list` - The list element
      Returns:
        A value of type `A`
      Throws:
        `Exception` - If required

    - #### visitTable

          A visitTable(SATable e)
                       throws Exception

      Visit a table element.
      Parameters:
        `e` - The table element
      Returns:
        A value of type `A`
      Throws:
        `Exception` - If required

    - #### visitVerbatim

          A visitVerbatim(SAVerbatim text)
                          throws Exception

      Visit a verbatim element.
      Parameters:
        `text` - The verbatim element
      Returns:
        A value of type `A`
      Throws:
        `Exception` - If required

Copyright © 2014 <code@io7m.com> http://io7m.com